DatabaseException (Sleepycat Software, Inc. - Berkeley DB Java API)
Keywords: com.sleepycat.db.DatabaseException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.3.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class DatabaseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sleepycat.db.DatabaseException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DeadlockException, MemoryException, ReplicationHandleDeadException, RunRecoveryException

public class DatabaseException
extends Exception

The root of all database exceptions.

Note that in some cases, certain methods return status values without issuing an exception. This occurs in situations that are not normally considered an error, but when some informational status is returned. For example, `Database.get` returns `OperationStatus.NOTFOUND` when a requested key does not appear in the database.

See Also:
  Serialized Form

Method Summary
`Environment` | `getEnvironment()` Return the environment in which the exception occurred.
`int` | `getErrno()` Return the system or C API error number that caused the exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getEnvironment

    public Environment getEnvironment()

  Return the environment in which the exception occurred.

  This method may be called at any time during the life of the application.

  Returns:
    The environment in which the exception occurred.

### getErrno

    public int getErrno()

  Return the system or C API error number that caused the exception.

  This method may be called at any time during the life of the application.

  Returns:
    The system or C API error number that caused the exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.3.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2004 Sleepycat Software, Inc. - All rights reserved.